Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.component
Class UIEnumItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UISelectItem
                  org.jboss.seam.ui.component.UIEnumItem

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  HtmlEnumItem

    public abstract class UIEnumItem

extends javax.faces.component.UISelectItem

JSF component class

Field Summary

Fields inherited from class javax.faces.component.UISelectItem
`COMPONENT_FAMILY, COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIEnumItem()`

Method Summary
`abstract String` | `getEnumValue()`
`String` | `getItemLabel()`
`Object` | `getItemValue()`
`abstract String` | `getLabel()`
`Object` | `getValue()`
`abstract void` | `setEnumValue(String enumValue)`
`void` | `setItemLabel(String itemLabel)`
`void` | `setItemValue(Object itemValue)`
`abstract void` | `setLabel(String label)`

Methods inherited from class javax.faces.component.UISelectItem
`getFamily, getItemDescription, isItemDisabled, isItemEscaped, isNoSelectionOption, setItemDescription, setItemDisabled, setItemEscaped, setNoSelectionOption, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIEnumItem

    public UIEnumItem()

Method Detail

### getEnumValue

    public abstract String getEnumValue()

### setEnumValue

    public abstract void setEnumValue(String enumValue)

### setLabel

    public abstract void setLabel(String label)

### getLabel

    public abstract String getLabel()

### getItemValue

    public Object getItemValue()

  Overrides:
    `getItemValue` in class `javax.faces.component.UISelectItem`

### setItemValue

    public void setItemValue(Object itemValue)

  Overrides:
    `setItemValue` in class `javax.faces.component.UISelectItem`

### getItemLabel

    public String getItemLabel()

  Overrides:
    `getItemLabel` in class `javax.faces.component.UISelectItem`

### setItemLabel

    public void setItemLabel(String itemLabel)

  Overrides:
    `setItemLabel` in class `javax.faces.component.UISelectItem`

### getValue

    public Object getValue()

  Overrides:
    `getValue` in class `javax.faces.component.UISelectItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.